org.icefaces.ace.component.messages

## Enum MessagesBase.PropertyKeys

- java.lang.Object
- - java.lang.Enum<MessagesBase.PropertyKeys>
  - - org.icefaces.ace.component.messages.MessagesBase.PropertyKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MessagesBase.PropertyKeys>
  Enclosing class:
    MessagesBase

      protected static enum MessagesBase.PropertyKeys
      extends java.lang.Enum<MessagesBase.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `changeEffect`
    `changeEffectDuration`
    `escape`
    `initEffect`
    `initEffectDuration`
    `lang`
    `style`
    `styleClass`
    `title`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static MessagesBase.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MessagesBase.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### changeEffect

          public static final MessagesBase.PropertyKeys changeEffect

    - #### changeEffectDuration

          public static final MessagesBase.PropertyKeys changeEffectDuration

    - #### escape

          public static final MessagesBase.PropertyKeys escape

    - #### initEffect

          public static final MessagesBase.PropertyKeys initEffect

    - #### initEffectDuration

          public static final MessagesBase.PropertyKeys initEffectDuration

    - #### lang

          public static final MessagesBase.PropertyKeys lang

    - #### style

          public static final MessagesBase.PropertyKeys style

    - #### styleClass

          public static final MessagesBase.PropertyKeys styleClass

    - #### title

          public static final MessagesBase.PropertyKeys title

  - ### Method Detail

    - #### values

          public static MessagesBase.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessagesBase.PropertyKeys c : MessagesBase.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessagesBase.PropertyKeys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<MessagesBase.PropertyKeys>`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.